%global forgeurl https://github.com/nwhitehead/pyfluidsynth
%global commit   b6e9f07d20f0ecbe47c06ebaa26e76c3e3bc2965

%forgemeta

Name:           pyFluidSynth
Version:        0.0.1
Release:        1%{?dist}
Summary:        Python bindings for FluidSynth

License:        LGPL-2.1
URL:	          %{forgeurl}
Source:         %{forgesource}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description
Contains python bindings for FluidSynth. FluidSynth is a software synthesizer
for generating music. It works like a MIDI synthesizer. You load patches, set
parameters, then send NOTEON and NOTEOFF events to play notes. Instruments
are defined in SoundFonts, generally files with the extension SF2. FluidSynth
can either be used to play audio itself, or you can call a function that
returns chunks of audio data and output the data to the soundcard yourself.
FluidSynth works on all major platforms, so pyFluidSynth should also.

%prep
%forgeautosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fluidsynth

%check

%files -f %{pyproject_files}

%doc README.md
%license LICENSE

%changelog
* Mon Aug 07 2023 Neil Hanlon <neil@shrug.pw> - 0.0.1-1
- Initial version of the package.
